org.keycloak.common.enums

## Enum SslRequired

- java.lang.Object
- - java.lang.Enum<SslRequired>
  - - org.keycloak.common.enums.SslRequired

- All Implemented Interfaces:
    Serializable, Comparable<SslRequired>

      public enum SslRequired
      extends Enum<SslRequired>

  Author:
    Stian Thorgersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `EXTERNAL`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRequired(ClientConnection connection)`
    `boolean` | `isRequired(String address)`
    `static SslRequired` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SslRequired[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final SslRequired ALL

    - #### EXTERNAL

          public static final SslRequired EXTERNAL

    - #### NONE

          public static final SslRequired NONE

  - ### Method Detail

    - #### values

          public static SslRequired[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SslRequired c : SslRequired.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SslRequired valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isRequired

          public boolean isRequired(ClientConnection connection)

    - #### isRequired

          public boolean isRequired(String address)

Copyright © 2020 JBoss by Red Hat. All rights reserved.